import AlZAGK.VektorBigInt.VektorBigInt;

/**
 *  Die Klasse Rlist definiert die Listenelemente. (Aus Zettel PI-1 Z.10)
 *  @author Nils Przigoda
 */
class RList {

    /** Jeder Listeneintrag hat einen Textstring als Nutzdaten.
     *  Das Ankerelement l der Liste ist durch die Bedingung
     *  
     *  <code>l.data == null</code>
     *
     *  eindeutig gekennzeichnet.
     */
	public VektorBigInt data;

    /** Referenz auf das Nachfolger-Listenelement */
	public RList n;

    /** Referenz auf das Vorgänger-Listenelement */
	public RList p;

    
    /**
     * Kontruktor für leere Liste
     *
     */
	public RList() {
    	data = null;
    	n = this;
    	p = this;
    }
    
    /**
     * Konstruktur für einen Knoten mit Inhalt
     * @param inhalt
     */
	public RList(VektorBigInt inhalt) {
    	data = inhalt;    	
    }
}