import AlZAGK.MatrixBigInt.MatrixBigInt;
import AlZAGK.VektorBigInt.VektorBigInt;

/**
 * Eine mögliche Implementierung von Alg. 3.5 aus 
 * "Some Tapas of Computer Algebra", Kap 7.
 * @author Nils Przigoda
 * @version 0.1
 *
 */
public class Alg_3_5 {
	private VektorBigInt start, b, c;
	private VektorBigInt[] test_set;
	private MatrixBigInt A;
	private VektorBigInt opt;
		
	public Alg_3_5( VektorBigInt[] TestSet,
			MatrixBigInt A_tmp,  VektorBigInt start_tmp,
			VektorBigInt b_tmp, VektorBigInt c_tmp) {		
		this.b = b_tmp; this.c = c_tmp;
		this.start = start_tmp;
		this.test_set = TestSet.clone();
		this.A = A_tmp;			
	}
		
	/** Simulierter INPUT
	 * test set : G_c 
	 * und some x \in \N^n (x ist feasible for IP(Ax) 
	 */
	public void main() {		
		Liste Tc = new Liste(b,c,A);						
		
		Tc.rlInsSorted(this.start);
		
		int oldLen = 0, newLen = 0;
		do {
			oldLen = Tc.rlLen();						
			Object tmp = Tc.rlHead();			
			for (int i=0; i < this.test_set.length; i++) {
				VektorBigInt tmp1 = ((VektorBigInt) tmp);
				if (tmp1 != null ) {					
					Tc.rlInsSorted( tmp1.Sub(this.test_set[i]) );
				}
			}
			newLen = Tc.rlLen();			
		} while (oldLen != newLen);
 
		this.opt = (VektorBigInt) Tc.rlHead();
		if (this.opt == null) {
			o("FEHLER: Das optimale Element ist null");
		} 		
	}
	
	public VektorBigInt Give_Opt () {
		return this.opt;
	}
	
	private static void o(Object o) {
		System.out.println(o);
	}
}